Name:           python-sparkmonitor
Version:        3.1.0
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Jupyter Notebook & Lab extension to monitor Apache Spark jobs from a notebook

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/swan-cern/sparkmonitor
Source:         %{pypi_source sparkmonitor}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'sparkmonitor' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-sparkmonitor
Summary:        %{summary}

%description -n python3-sparkmonitor %_description


%prep
%autosetup -p1 -n sparkmonitor-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-sparkmonitor -f %{pyproject_files}


%changelog
%autochangelog